Bug 165114 - ICE when rebuilding procps-3.2.5-6.3
ICE when rebuilding procps-3.2.5-6.3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 10:16 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-10 11:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (136.66 KB, text/plain)
2005-08-04 10:19 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2005-08-04 10:16:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050729 Fedora/1.1-0.2.5.deerpark.alpha2 Firefox/1.0+

Description of problem:
proc/devname.c:52: warning: padding struct size to alignment boundary
proc/devname.c: In function 'link_name':
proc/devname.c:229: internal compiler error: in df_uses_record, at df.c:1061
Please submit a full bug report,

Version-Release number of selected component (if applicable):
gcc-4.0.1-6

How reproducible:
Didn't try

Steps to Reproduce:
1.rebuild procps-3.2.5-6.3
2.
3.
  

Additional info:
Comment 1 Karsten Hopp 2005-08-04 10:19:00 EDT
Created attachment 117448 [details]
Preprocessed source
Comment 2 Jakub Jelinek 2005-08-09 16:37:59 EDT
Simplified testcase:
/* { dg-do compile } */
/* { dg-options "-O2 -fstack-protector-all -fweb" } */

struct S
{
  unsigned long long st_dev;
  unsigned long long st_rdev;
};
int st (const char *, struct S *);

int
foo (char *const buf, unsigned maj, unsigned min)
{
  struct S sbuf;
  if (st (buf, &sbuf) < 0)
    return 0;
  if (min !=
      (((unsigned) (sbuf.st_rdev) & 0xffu) |
       (((unsigned) (sbuf.st_rdev) & 0xfff00000u) >> 12u)))
    return 0;
  if (maj != (((unsigned) (sbuf.st_rdev) >> 8u) & 0xfffu))
    return 0;
  return 1;
}

Now, why are you using -fweb?  See
http://gcc.gnu.org/ml/gcc-patches/2004-09/msg01931.html
for details why it is not a good idea to use it.
Comment 3 Karsten Hopp 2005-08-10 06:43:30 EDT
I'm just the one who found it during a mass rebuild. 
I'll add kzak to CC: for a comment about -fweb 
Comment 4 Karel Zak 2005-08-10 10:48:01 EDT
Thanks for info. I will remove -fweb from procps CFLAGS.
Comment 5 Jakub Jelinek 2005-08-10 11:41:28 EDT
The problem doesn't seem to be reproducible on GCC HEAD, so I guess I'll just
WONTFIX this.  -fweb simply shouldn't be used, it is certainly not very well
tested.

Note You need to log in before you can comment on or make changes to this bug.